diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkDecoratorOverworld.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkDecoratorOverworld.java
index 0ac0bb076..829bebe08 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkDecoratorOverworld.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkDecoratorOverworld.java
@@ -20,38 +20,35 @@ import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkDecorator;
 import net.minecraft.core.world.generate.feature.*;
 import net.minecraft.core.world.noise.PerlinNoise;
+import org.jetbrains.annotations.NotNull;
 
 import java.util.Random;
 
 public class ChunkDecoratorOverworld
-    implements ChunkDecorator
-{
-    private final World world;
-    private final PerlinNoise treeDensityNoise;
+    implements ChunkDecorator {
+    private final @NotNull World world;
+    private final @NotNull PerlinNoise treeDensityNoise;
     private final int treeDensityOverride;
 
-    protected ChunkDecoratorOverworld(World world, int treeDensityOverride)
-    {
+    protected ChunkDecoratorOverworld(@NotNull World world, int treeDensityOverride) {
         this.world = world;
         this.treeDensityOverride = treeDensityOverride;
 
-        treeDensityNoise = new PerlinNoise(world.getRandomSeed(), 8, 74);
+        this.treeDensityNoise = new PerlinNoise(world.getRandomSeed(), 8, 74);
     }
 
-    public ChunkDecoratorOverworld(World world)
-    {
+    public ChunkDecoratorOverworld(@NotNull World world) {
         this(world, -1);
     }
 
     @Override
-    public void decorate(Chunk chunk)
-    {
-        world.scheduledUpdatesAreImmediate = true;
+    public void decorate(@NotNull Chunk chunk) {
+        this.world.scheduledUpdatesAreImmediate = true;
         int chunkX = chunk.pos.x;
         int chunkZ = chunk.pos.z;
 
-        int minY = world.getWorldType().getMinY();
-        int maxY = world.getWorldType().getMaxY();
+        int minY = this.world.getWorldType().getMinY();
+        int maxY = this.world.getWorldType().getMaxY();
         int rangeY = (maxY + 1) - minY;
 
         float oreHeightModifier = rangeY / 128f;
@@ -59,43 +56,37 @@ public class ChunkDecoratorOverworld
         BlockLogicSand.fallInstantly = true;
         int x = chunkX * 16;
         int z = chunkZ * 16;
-        int y = world.getHeightValue(x + 16, z + 16);
-        Biome biome = world.getBlockBiome(x + 16, y, z + 16);
-        Random rand = new Random(world.getRandomSeed());
+        int y = this.world.getHeightValue(x + 16, z + 16);
+        Biome biome = this.world.getBlockBiome(x + 16, y, z + 16);
+        Random rand = new Random(this.world.getRandomSeed());
         long l1 = (rand.nextLong() / 2L) * 2L + 1L;
         long l2 = (rand.nextLong() / 2L) * 2L + 1L;
-        rand.setSeed((long) chunkX * l1 + (long) chunkZ * l2 ^ world.getRandomSeed());
-        Random swampRand = new Random((long) chunkX * l1 + (long) chunkZ * l2 ^ world.getRandomSeed());
+        rand.setSeed((long) chunkX * l1 + (long) chunkZ * l2 ^ this.world.getRandomSeed());
+        Random swampRand = new Random((long) chunkX * l1 + (long) chunkZ * l2 ^ this.world.getRandomSeed());
 
         // Water pass for swamps
-        if (biome == Biomes.OVERWORLD_SWAMPLAND)
-        {
-            for (int dx = 0; dx < 16; dx++)
-            {
-                for (int dz = 0; dz < 16; dz++)
-                {
-                    int topBlock = world.getHeightValue(x + dx, z + dz);
-                    int id = world.getBlockId(x + dx, topBlock - 1, z + dz);
-                    if (id == Blocks.GRASS.id())
-                    {
+        if (biome == Biomes.OVERWORLD_SWAMPLAND) {
+            for (int dx = 0; dx < 16; dx++) {
+                for (int dz = 0; dz < 16; dz++) {
+                    int topBlock = this.world.getHeightValue(x + dx, z + dz);
+                    int id = this.world.getBlockId(x + dx, topBlock - 1, z + dz);
+                    if (id == Blocks.GRASS.id()) {
                         boolean shouldPlaceWater = swampRand.nextFloat() < 0.5f;
-                        if (shouldPlaceWater)
-                        {
-                            int posXId = world.getBlockId(x + dx + 1, topBlock - 1, z + dz);
-                            int negXId = world.getBlockId(x + dx - 1, topBlock - 1, z + dz);
-                            int posZId = world.getBlockId(x + dx, topBlock - 1, z + dz + 1);
-                            int negZId = world.getBlockId(x + dx, topBlock - 1, z + dz - 1);
-                            int negYId = world.getBlockId(x + dx, topBlock - 2, z + dz);
+                        if (shouldPlaceWater) {
+                            int posXId = this.world.getBlockId(x + dx + 1, topBlock - 1, z + dz);
+                            int negXId = this.world.getBlockId(x + dx - 1, topBlock - 1, z + dz);
+                            int posZId = this.world.getBlockId(x + dx, topBlock - 1, z + dz + 1);
+                            int negZId = this.world.getBlockId(x + dx, topBlock - 1, z + dz - 1);
+                            int negYId = this.world.getBlockId(x + dx, topBlock - 2, z + dz);
                             if (
-                                    posXId != 0 && (Blocks.blocksList[posXId].getMaterial().isSolid() || Blocks.blocksList[posXId].getMaterial() == Material.water) &&
-                                            negXId != 0 && (Blocks.blocksList[negXId].getMaterial().isSolid() || Blocks.blocksList[negXId].getMaterial() == Material.water) &&
-                                            posZId != 0 && (Blocks.blocksList[posZId].getMaterial().isSolid() || Blocks.blocksList[posZId].getMaterial() == Material.water) &&
-                                            negZId != 0 && (Blocks.blocksList[negZId].getMaterial().isSolid() || Blocks.blocksList[negZId].getMaterial() == Material.water) &&
-                                            negYId != 0 && Blocks.blocksList[negYId].getMaterial().isSolid()
-                            )
-                            {
-                                world.setBlock(x + dx, topBlock - 1, z + dz, Blocks.FLUID_WATER_STILL.id());
-                                world.setBlock(x + dx, topBlock, z + dz, 0);
+                                posXId != 0 && (Blocks.blocksList[posXId].getMaterial().isSolid() || Blocks.blocksList[posXId].getMaterial() == Material.water) &&
+                                    negXId != 0 && (Blocks.blocksList[negXId].getMaterial().isSolid() || Blocks.blocksList[negXId].getMaterial() == Material.water) &&
+                                    posZId != 0 && (Blocks.blocksList[posZId].getMaterial().isSolid() || Blocks.blocksList[posZId].getMaterial() == Material.water) &&
+                                    negZId != 0 && (Blocks.blocksList[negZId].getMaterial().isSolid() || Blocks.blocksList[negZId].getMaterial() == Material.water) &&
+                                    negYId != 0 && Blocks.blocksList[negYId].getMaterial().isSolid()
+                            ) {
+                                this.world.setBlock(x + dx, topBlock - 1, z + dz, Blocks.FLUID_WATER_STILL.id());
+                                this.world.setBlock(x + dx, topBlock, z + dz, 0);
                             }
                         }
                     }
@@ -110,21 +101,20 @@ public class ChunkDecoratorOverworld
             lakeChance = 0;
         if (lakeChance != 0 && rand.nextInt(lakeChance) == 0) {
             int fluid = Blocks.FLUID_WATER_STILL.id();
-            if (biome.hasSurfaceSnow())
-            {
+            if (biome.hasSurfaceSnow()) {
                 fluid = Blocks.ICE.id();
             }
             int i1 = x + rand.nextInt(16) + 8;
             int l4 = minY + rand.nextInt(rangeY);
             int i8 = z + rand.nextInt(16) + 8;
-            new WorldFeatureLake(fluid).place(world, rand, i1, l4, i8);
+            new WorldFeatureLake(fluid).place(this.world, rand, i1, l4, i8);
         }
         if (rand.nextInt(8) == 0) {
             int xf = x + rand.nextInt(16) + 8;
             int yf = minY + rand.nextInt(rand.nextInt(rangeY - (rangeY / 16)) + (rangeY / 16));
             int zf = z + rand.nextInt(16) + 8;
             if (yf < minY + rangeY / 2 || rand.nextInt(10) == 0) {
-                new WorldFeatureLake(Blocks.FLUID_LAVA_STILL.id()).place(world, rand, xf, yf, zf);
+                new WorldFeatureLake(Blocks.FLUID_LAVA_STILL.id()).place(this.world, rand, xf, yf, zf);
             }
         }
         for (int k1 = 0; k1 < (8 * oreHeightModifier); k1++) {
@@ -134,7 +124,7 @@ public class ChunkDecoratorOverworld
 
             int design = rand.nextInt(2);
             if (design == 1) {
-                int id = world.getBlockId(j5, k8, j11);
+                int id = this.world.getBlockId(j5, k8, j11);
                 if (id == Blocks.LIMESTONE.id()) {
                     design = 2;
                 } else if (id == Blocks.GRANITE.id()) {
@@ -145,22 +135,22 @@ public class ChunkDecoratorOverworld
             }
 
             if (design == 0) {
-                new WorldFeatureDungeon(Blocks.BRICK_CLAY.id(), Blocks.BRICK_CLAY.id(), null).place(world, rand, j5, k8, j11);
+                new WorldFeatureDungeon(Blocks.BRICK_CLAY.id(), Blocks.BRICK_CLAY.id(), null).place(this.world, rand, j5, k8, j11);
             } else if (design == 1) {
-                new WorldFeatureDungeon(Blocks.COBBLE_STONE.id(), Blocks.COBBLE_STONE_MOSSY.id(), null).place(world, rand, j5, k8, j11);
+                new WorldFeatureDungeon(Blocks.COBBLE_STONE.id(), Blocks.COBBLE_STONE_MOSSY.id(), null).place(this.world, rand, j5, k8, j11);
             } else if (design == 2) {
-                new WorldFeatureDungeon(Blocks.COBBLE_LIMESTONE.id(), Blocks.COBBLE_LIMESTONE_MOSSY.id(), null).place(world, rand, j5, k8, j11);
+                new WorldFeatureDungeon(Blocks.COBBLE_LIMESTONE.id(), Blocks.COBBLE_LIMESTONE_MOSSY.id(), null).place(this.world, rand, j5, k8, j11);
             } else if (design == 3) {
-                new WorldFeatureDungeon(Blocks.COBBLE_GRANITE.id(), Blocks.COBBLE_GRANITE_MOSSY.id(), null).place(world, rand, j5, k8, j11);
+                new WorldFeatureDungeon(Blocks.COBBLE_GRANITE.id(), Blocks.COBBLE_GRANITE_MOSSY.id(), null).place(this.world, rand, j5, k8, j11);
             } else if (design == 4) {
-                new WorldFeatureDungeon(Blocks.COBBLE_BASALT.id(), Blocks.COBBLE_BASALT_MOSSY.id(), null).place(world, rand, j5, k8, j11);
+                new WorldFeatureDungeon(Blocks.COBBLE_BASALT.id(), Blocks.COBBLE_BASALT_MOSSY.id(), null).place(this.world, rand, j5, k8, j11);
             }
         }
 
         for (int k1 = 0; k1 < 1; k1++) {
             int j5 = x + rand.nextInt(16) + 8;
             int j11 = z + rand.nextInt(16) + 8;
-            int k8 = world.getHeightValue(j5, j11) - (rand.nextInt(2) + 2);
+            int k8 = this.world.getHeightValue(j5, j11) - (rand.nextInt(2) + 2);
 
             //chance to sink labyrinth
             if (rand.nextInt(5) == 0) {
@@ -169,7 +159,7 @@ public class ChunkDecoratorOverworld
 
             if (rand.nextInt(700) == 0) {
                 Random lRand = chunk.getChunkRandom(0x4823F58);
-                (new WorldFeatureLabyrinth()).place(world, lRand, j5, k8, j11);
+                (new WorldFeatureLabyrinth()).place(this.world, lRand, j5, k8, j11);
             }
         }
 
@@ -177,21 +167,21 @@ public class ChunkDecoratorOverworld
             int k5 = x + rand.nextInt(16);
             int l8 = minY + rand.nextInt(rangeY);
             int k11 = z + rand.nextInt(16);
-            (new WorldFeatureClay(32)).place(world, rand, k5, l8, k11);
+            (new WorldFeatureClay(32)).place(this.world, rand, k5, l8, k11);
         }
         if (biome instanceof BiomeOutback || biome == Biomes.OVERWORLD_OUTBACK) {
             int l5 = x + rand.nextInt(16);
             int l11 = z + rand.nextInt(16);
-            int i9 = world.getHeightValue(l5, l11);
-            (new WorldFeatureRichScorchedDirt(10)).place(world, rand, l5, i9, l11);
+            int i9 = this.world.getHeightValue(l5, l11);
+            (new WorldFeatureRichScorchedDirt(10)).place(this.world, rand, l5, i9, l11);
         }
 
-        if (biome == Biomes.OVERWORLD_GLACIER || biome == Biomes.OVERWORLD_TUNDRA){
+        if (biome == Biomes.OVERWORLD_GLACIER || biome == Biomes.OVERWORLD_TUNDRA) {
             for (int i4 = 0; i4 < 5 * oreHeightModifier; i4++) {
                 int j7 = x + rand.nextInt(16);
                 int k10 = minY + rand.nextInt(rangeY / 2);
                 int j13 = z + rand.nextInt(16);
-                (new WorldFeaturePermaice(32 + rand.nextInt(32), Blocks.PERMAFROST)).place(world, rand, j7, k10, j13);
+                (new WorldFeaturePermaice(32 + rand.nextInt(32), Blocks.PERMAFROST)).place(this.world, rand, j7, k10, j13);
             }
         }
 
@@ -199,68 +189,68 @@ public class ChunkDecoratorOverworld
             int l5 = x + rand.nextInt(16);
             int i9 = minY + rand.nextInt(rangeY);
             int l11 = z + rand.nextInt(16);
-            (new WorldFeatureOre(Blocks.DIRT.id(), 32)).place(world, rand, l5, i9, l11);
+            (new WorldFeatureOre(Blocks.DIRT.id(), 32)).place(this.world, rand, l5, i9, l11);
         }
 
         for (int k2 = 0; k2 < (10 * oreHeightModifier); k2++) {
             int i6 = x + rand.nextInt(16);
             int j9 = minY + rand.nextInt(rangeY);
             int i12 = z + rand.nextInt(16);
-            (new WorldFeatureOre(Blocks.GRAVEL.id(), 32)).place(world, rand, i6, j9, i12);
+            (new WorldFeatureOre(Blocks.GRAVEL.id(), 32)).place(this.world, rand, i6, j9, i12);
         }
 
         for (int i3 = 0; i3 < (20 * oreHeightModifier); i3++) {
             int j6 = x + rand.nextInt(16);
             int k9 = minY + rand.nextInt(rangeY);
             int j12 = z + rand.nextInt(16);
-            new WorldFeatureOre(BlockLogicOreCoal.variantMap, 16).place(world, rand, j6, k9, j12);
+            new WorldFeatureOre(BlockLogicOreCoal.variantMap, 16).place(this.world, rand, j6, k9, j12);
         }
 
         for (int j3 = 0; j3 < (20 * oreHeightModifier); j3++) {
             int k6 = x + rand.nextInt(16);
             int l9 = minY + rand.nextInt(rangeY / 2);
             int k12 = z + rand.nextInt(16);
-            (new WorldFeatureOre(BlockLogicOreIron.variantMap, 8)).place(world, rand, k6, l9, k12);
+            (new WorldFeatureOre(BlockLogicOreIron.variantMap, 8)).place(this.world, rand, k6, l9, k12);
         }
 
         for (int k3 = 0; k3 < (2 * oreHeightModifier); k3++) {
             int l6 = x + rand.nextInt(16);
             int i10 = minY + rand.nextInt(rangeY / 4);
             int l12 = z + rand.nextInt(16);
-            (new WorldFeatureOre(BlockLogicOreGold.variantMap, 8)).place(world, rand, l6, i10, l12);
+            (new WorldFeatureOre(BlockLogicOreGold.variantMap, 8)).place(this.world, rand, l6, i10, l12);
         }
 
         for (int l3 = 0; l3 < (8 * oreHeightModifier); l3++) {
             int i7 = x + rand.nextInt(16);
             int j10 = minY + rand.nextInt(rangeY / 8);
             int i13 = z + rand.nextInt(16);
-            (new WorldFeatureOre(BlockLogicOreRedstone.variantMap, 7)).place(world, rand, i7, j10, i13);
+            (new WorldFeatureOre(BlockLogicOreRedstone.variantMap, 7)).place(this.world, rand, i7, j10, i13);
         }
 
         for (int i4 = 0; i4 < oreHeightModifier; i4++) {
             int j7 = x + rand.nextInt(16);
             int k10 = minY + rand.nextInt(rangeY / 8);
             int j13 = z + rand.nextInt(16);
-            (new WorldFeatureOre(BlockLogicOreDiamond.variantMap, 7)).place(world, rand, j7, k10, j13);
+            (new WorldFeatureOre(BlockLogicOreDiamond.variantMap, 7)).place(this.world, rand, j7, k10, j13);
         }
 
         for (int i4 = 0; i4 < oreHeightModifier; i4++) {
             int j7 = x + rand.nextInt(16);
             int k10 = minY + rand.nextInt(rangeY / 2);
             int j13 = z + rand.nextInt(16);
-            (new WorldFeatureMoss(BlockLogicMoss.variantMap, 32)).place(world, rand, j7, k10, j13);
+            (new WorldFeatureMoss(BlockLogicMoss.variantMap, 32)).place(this.world, rand, j7, k10, j13);
         }
 
         for (int j4 = 0; j4 < oreHeightModifier; j4++) {
             int k7 = x + rand.nextInt(16);
             int l10 = minY + rand.nextInt(rangeY / 8) + rand.nextInt(rangeY / 8);
             int k13 = z + rand.nextInt(16);
-            (new WorldFeatureOre(BlockLogicOreLapis.variantMap, 6)).place(world, rand, k7, l10, k13);
+            (new WorldFeatureOre(BlockLogicOreLapis.variantMap, 6)).place(this.world, rand, k7, l10, k13);
         }
 
 
         double d = 0.5D;
-        int k4 = (int) ((treeDensityNoise.get((double) x * d, (double) z * d) / 8D + rand.nextDouble() * 4D + 4D) / 3D);
+        int k4 = (int) ((this.treeDensityNoise.get((double) x * d, (double) z * d) / 8D + rand.nextDouble() * 4D + 4D) / 3D);
         int treeDensity = 0;
         if (rand.nextInt(10) == 0) {
             treeDensity++;
@@ -304,17 +294,17 @@ public class ChunkDecoratorOverworld
         if (biome == Biomes.OVERWORLD_OUTBACK_GRASSY) {
             treeDensity += k4;
         }
-        if (treeDensityOverride != -1) treeDensity = treeDensityOverride;
+        if (this.treeDensityOverride != -1) treeDensity = this.treeDensityOverride;
         try {
-        	BlockLogicLeavesBase.enableDecay = false;
+            BlockLogicLeavesBase.enableDecay = false;
             for (int i11 = 0; i11 < treeDensity; i11++) {
                 int l13 = x + rand.nextInt(16) + 8;
                 int j14 = z + rand.nextInt(16) + 8;
                 WorldFeature feature = biome.getRandomWorldGenForTrees(rand);
                 feature.init(1.0D, 1.0D, 1.0D);
-                feature.place(world, rand, l13, world.getHeightValue(l13, j14), j14);
+                feature.place(this.world, rand, l13, this.world.getHeightValue(l13, j14), j14);
             }
-        }finally {
+        } finally {
             BlockLogicLeavesBase.enableDecay = true;
         }
         byte byteReeds = 0;
@@ -324,8 +314,8 @@ public class ChunkDecoratorOverworld
         for (int i11 = 0; i11 < byteReeds; i11++) {
             int i18 = x + rand.nextInt(16) + 8;
             int i23 = z + rand.nextInt(16) + 8;
-            int i21 = world.getHeightValue(i18, i23);
-            (new WorldFeatureSugarCaneTall()).place(world, rand, i18, i21, i23);
+            int i21 = this.world.getHeightValue(i18, i23);
+            (new WorldFeatureSugarCaneTall()).place(this.world, rand, i18, i21, i23);
         }
 
         byte byteOrchid = 0;
@@ -336,12 +326,12 @@ public class ChunkDecoratorOverworld
             byteOrchid = 1;
         }
         for (int l14 = 0; l14 < byteOrchid; l14++) {
-            int[] flowerIds= { Blocks.FLOWER_YELLOW.id(), Blocks.FLOWER_PINK.id(), Blocks.FLOWER_RED.id() };
+            int[] flowerIds = {Blocks.FLOWER_YELLOW.id(), Blocks.FLOWER_PINK.id(), Blocks.FLOWER_RED.id()};
 
             int l19 = x + rand.nextInt(16) + 8;
-            int k22 = rand.nextInt(world.getHeightBlocks());
+            int k22 = rand.nextInt(this.world.getHeightBlocks());
             int j24 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureMeadow(flowerIds)).place(world, rand, l19, k22, j24);
+            (new WorldFeatureMeadow(flowerIds)).place(this.world, rand, l19, k22, j24);
         }
 
         byte byteMeadow = 0;
@@ -367,9 +357,9 @@ public class ChunkDecoratorOverworld
                 blockId = Blocks.FLOWER_YELLOW.id();
             }
             int l19 = x + rand.nextInt(16) + 8;
-            int k22 = rand.nextInt(world.getHeightBlocks());
+            int k22 = rand.nextInt(this.world.getHeightBlocks());
             int j24 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(blockId, 128, true)).place(world, rand, l19, k22, j24);
+            (new WorldFeatureFlowers(blockId, 128, true)).place(this.world, rand, l19, k22, j24);
         }
 
         byte byteBluebells = 0;
@@ -390,7 +380,7 @@ public class ChunkDecoratorOverworld
             int k14 = x + rand.nextInt(16) + 8;
             int l16 = minY + rand.nextInt(rangeY);
             int k19 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.FLOWER_LIGHT_BLUE.id(), 64, true)).place(world, rand, k14, l16, k19);
+            (new WorldFeatureFlowers(Blocks.FLOWER_LIGHT_BLUE.id(), 64, true)).place(this.world, rand, k14, l16, k19);
         }
 
         byte byteMarigold = 0;
@@ -413,7 +403,7 @@ public class ChunkDecoratorOverworld
             int k14 = x + rand.nextInt(16) + 8;
             int l16 = minY + rand.nextInt(rangeY);
             int k19 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.FLOWER_ORANGE.id(), 64, true)).place(world, rand, k14, l16, k19);
+            (new WorldFeatureFlowers(Blocks.FLOWER_ORANGE.id(), 64, true)).place(this.world, rand, k14, l16, k19);
         }
 
         byte byte0 = 0;
@@ -441,7 +431,7 @@ public class ChunkDecoratorOverworld
             int k14 = x + rand.nextInt(16) + 8;
             int l16 = minY + rand.nextInt(rangeY);
             int k19 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.FLOWER_YELLOW.id(), 64, true)).place(world, rand, k14, l16, k19);
+            (new WorldFeatureFlowers(Blocks.FLOWER_YELLOW.id(), 64, true)).place(this.world, rand, k14, l16, k19);
         }
 
         byte byte1 = 0;
@@ -483,7 +473,7 @@ public class ChunkDecoratorOverworld
             int l19 = x + rand.nextInt(16) + 8;
             int k22 = minY + rand.nextInt(rangeY);
             int j24 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureTallGrass(type)).place(world, rand, l19, k22, j24);
+            (new WorldFeatureTallGrass(type)).place(this.world, rand, l19, k22, j24);
         }
 
         byte1 = 0;
@@ -494,7 +484,7 @@ public class ChunkDecoratorOverworld
             int i17 = x + rand.nextInt(16) + 8;
             int i20 = minY + rand.nextInt(rangeY);
             int l22 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureSpinifexPatch()).place(world, rand, i17, i20, l22);
+            (new WorldFeatureSpinifexPatch()).place(this.world, rand, i17, i20, l22);
         }
 
         byte1 = 0;
@@ -508,80 +498,73 @@ public class ChunkDecoratorOverworld
             int i17 = x + rand.nextInt(16) + 8;
             int i20 = minY + rand.nextInt(rangeY);
             int l22 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureDeadBush(Blocks.DEADBUSH.id())).place(world, rand, i17, i20, l22);
+            (new WorldFeatureDeadBush(Blocks.DEADBUSH.id())).place(this.world, rand, i17, i20, l22);
         }
 
         if (rand.nextInt(2) == 0) {
             int j15 = x + rand.nextInt(16) + 8;
             int j17 = minY + rand.nextInt(rangeY);
             int j20 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.FLOWER_RED.id(), 64, true)).place(world, rand, j15, j17, j20);
+            (new WorldFeatureFlowers(Blocks.FLOWER_RED.id(), 64, true)).place(this.world, rand, j15, j17, j20);
         }
         if (rand.nextInt(4) == 0) {
             int k15 = x + rand.nextInt(16) + 8;
             int k17 = minY + rand.nextInt(rangeY);
             int k20 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.MUSHROOM_BROWN.id(), 64, false)).place(world, rand, k15, k17, k20);
+            (new WorldFeatureFlowers(Blocks.MUSHROOM_BROWN.id(), 64, false)).place(this.world, rand, k15, k17, k20);
         }
         if (rand.nextInt(8) == 0) {
             int l15 = x + rand.nextInt(16) + 8;
             int l17 = minY + rand.nextInt(rangeY);
             int l20 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.MUSHROOM_RED.id(), 64, false)).place(world, rand, l15, l17, l20);
+            (new WorldFeatureFlowers(Blocks.MUSHROOM_RED.id(), 64, false)).place(this.world, rand, l15, l17, l20);
         }
-        if(rand.nextInt(5) == 0) {
+        if (rand.nextInt(5) == 0) {
             int i18 = x + rand.nextInt(16) + 8;
             int i23 = z + rand.nextInt(16) + 8;
-            int i21 = world.getHeightValue(i18, i23);
-            (new WorldFeatureSugarCane()).place(world, rand, i18, i21, i23);
+            int i21 = this.world.getHeightValue(i18, i23);
+            (new WorldFeatureSugarCane()).place(this.world, rand, i18, i21, i23);
         }
 
-        if(rand.nextInt(128) == 0)
-        {
+        if (rand.nextInt(128) == 0) {
             int j16 = x + rand.nextInt(16) + 8;
             int j21 = z + rand.nextInt(16) + 8;
-            int i22 = world.getHeightValue(j16, j21);
-            (new WorldFeaturePumpkin()).place(world, rand, j16, i22, j21);
+            int i22 = this.world.getHeightValue(j16, j21);
+            (new WorldFeaturePumpkin()).place(this.world, rand, j16, i22, j21);
         }
-        if(rand.nextInt(64) == 0)
-        {
+        if (rand.nextInt(64) == 0) {
             int j16 = x + rand.nextInt(16) + 8;
             int j21 = z + rand.nextInt(16) + 8;
-            int i22 = world.getHeightValue(j16, j21);
-            (new WorldFeatureSponge()).place(world, rand, j16, i22, j21);
+            int i22 = this.world.getHeightValue(j16, j21);
+            (new WorldFeatureSponge()).place(this.world, rand, j16, i22, j21);
         }
 
         int k16 = 0;
-        if(biome == Biomes.OVERWORLD_DESERT)
-        {
+        if (biome == Biomes.OVERWORLD_DESERT) {
             k16 += 10;
         }
-        if(biome == Biomes.OVERWORLD_CAATINGA || biome == Biomes.OVERWORLD_CAATINGA_PLAINS)
-        {
+        if (biome == Biomes.OVERWORLD_CAATINGA || biome == Biomes.OVERWORLD_CAATINGA_PLAINS) {
             k16 += 10;
         }
-        for(int k18 = 0; k18 < k16; k18++)
-        {
+        for (int k18 = 0; k18 < k16; k18++) {
             int k21 = x + rand.nextInt(16) + 8;
             int j23 = minY + rand.nextInt(rangeY);
             int k24 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureCactus()).place(world, rand, k21, j23, k24);
+            (new WorldFeatureCactus()).place(this.world, rand, k21, j23, k24);
         }
 
-        for(int l18 = 0; l18 < 50; l18++)
-        {
+        for (int l18 = 0; l18 < 50; l18++) {
             int l21 = x + rand.nextInt(16) + 8;
             int k23 = minY + rand.nextInt(rand.nextInt(rangeY - (rangeY / 16)) + (rangeY / 16));
             int l24 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureLiquid(Blocks.FLUID_WATER_FLOWING.id())).place(world, rand, l21, k23, l24);
+            (new WorldFeatureLiquid(Blocks.FLUID_WATER_FLOWING.id())).place(this.world, rand, l21, k23, l24);
         }
 
-        for(int i19 = 0; i19 < 20; i19++)
-        {
+        for (int i19 = 0; i19 < 20; i19++) {
             int i22 = x + rand.nextInt(16) + 8;
             int l23 = minY + rand.nextInt(rand.nextInt(rand.nextInt(rangeY - (rangeY / 8)) + (rangeY / 16)) + (rangeY / 16));
             int i25 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureLiquid(Blocks.FLUID_LAVA_FLOWING.id())).place(world, rand, i22, l23, i25);
+            (new WorldFeatureLiquid(Blocks.FLUID_LAVA_FLOWING.id())).place(this.world, rand, i22, l23, i25);
         }
 
         int numPebbles = 0;
@@ -614,24 +597,19 @@ public class ChunkDecoratorOverworld
             (new WorldFeaturePebbles(Blocks.OVERLAY_PEBBLES.id(), 16, true)).place(this.world, rand, xx, yy, zz);
         }
 
-        int oceanY = world.getWorldType().getOceanY();
-        for(int dx = x + 8; dx < x + 8 + 16; dx++)
-        {
-            for(int dz = z + 8; dz < z + 8 + 16; dz++)
-            {
-                int dy = world.getHeightValue(dx, dz);
-                Biome localBiome = world.getBlockBiome(dx, dy, dz);
+        int oceanY = this.world.getWorldType().getOceanY();
+        for (int dx = x + 8; dx < x + 8 + 16; dx++) {
+            for (int dz = z + 8; dz < z + 8 + 16; dz++) {
+                int dy = this.world.getHeightValue(dx, dz);
+                Biome localBiome = this.world.getBlockBiome(dx, dy, dz);
 
-                if ((localBiome.hasSurfaceSnow() || world.worldType == WorldTypes.OVERWORLD_WINTER) && dy > 0 && dy < world.getHeightBlocks())
-                {
-                    if (world.isAirBlock(dx, dy, dz) && world.getBlockMaterial(dx, dy - 1, dz).blocksMotion())
-                    {
-                        world.setBlockWithNotify(dx, dy, dz, Blocks.LAYER_SNOW.id());
+                if ((localBiome.hasSurfaceSnow() || this.world.worldType == WorldTypes.OVERWORLD_WINTER) && dy > 0 && dy < this.world.getHeightBlocks()) {
+                    if (this.world.isAirBlock(dx, dy, dz) && this.world.getBlockMaterial(dx, dy - 1, dz).blocksMotion()) {
+                        this.world.setBlockWithNotify(dx, dy, dz, Blocks.LAYER_SNOW.id());
                     }
                 }
-                if ((localBiome.hasSurfaceSnow() || world.worldType == WorldTypes.OVERWORLD_WINTER) && (world.getBlockId(dx, oceanY - 1, dz) == Blocks.FLUID_WATER_STILL.id() || world.getBlockId(dx, oceanY - 1, dz) == Blocks.FLUID_WATER_FLOWING.id()))
-                {
-                    world.setBlockWithNotify(dx, oceanY - 1, dz, Blocks.ICE.id());
+                if ((localBiome.hasSurfaceSnow() || this.world.worldType == WorldTypes.OVERWORLD_WINTER) && (this.world.getBlockId(dx, oceanY - 1, dz) == Blocks.FLUID_WATER_STILL.id() || this.world.getBlockId(dx, oceanY - 1, dz) == Blocks.FLUID_WATER_FLOWING.id())) {
+                    this.world.setBlockWithNotify(dx, oceanY - 1, dz, Blocks.ICE.id());
                 }
 
             }
@@ -639,6 +617,6 @@ public class ChunkDecoratorOverworld
         }
 
         BlockLogicSand.fallInstantly = false;
-        world.scheduledUpdatesAreImmediate = false;
+        this.world.scheduledUpdatesAreImmediate = false;
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkGeneratorOverworld.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkGeneratorOverworld.java
index d95a3dad3..8d2e7df5c 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkGeneratorOverworld.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkGeneratorOverworld.java
@@ -4,12 +4,11 @@ import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.CavesLargeFeature;
 import net.minecraft.core.world.generate.LargeFeature;
 import net.minecraft.core.world.generate.chunk.perlin.ChunkGeneratorPerlin;
+import org.jetbrains.annotations.NotNull;
 
 public class ChunkGeneratorOverworld
-    extends ChunkGeneratorPerlin
-{
-    public ChunkGeneratorOverworld(World world)
-    {
-        super(world, new ChunkDecoratorOverworld(world), new TerrainGeneratorOverworld(world), new SurfaceGeneratorOverworld(world), new LargeFeature[] { new CavesLargeFeature() });
+    extends ChunkGeneratorPerlin {
+    public ChunkGeneratorOverworld(@NotNull World world) {
+        super(world, new ChunkDecoratorOverworld(world), new TerrainGeneratorOverworld(world), new SurfaceGeneratorOverworld(world), new LargeFeature[]{new CavesLargeFeature()});
     }
 }
